### Function

# PapersDocument Document factory_add_filters

#### Declaration [src]

    void
    pps_document_factory_add_filters (
      GtkFileDialog* dialog,
      PpsDocument* document
    )

#### Description [src]

Adds some file filters to `dialog`.

Always add a “All documents” format.

If `document` is not `NULL`, adds a `GtkFileFilter` for `document`‘s MIME type.

If `document` is `NULL`, adds a `GtkFileFilter` for each document type that papers can handle.

#### Parameters

`dialog`

  Type: `GtkFileDialog`

  A `GtkFileDialog`.

  The data is owned by the caller of the function.

`document`

  Type: `PpsDocument`

  A `PpsDocument`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.